- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
Update an External API resource in the API hub. The following fields can be updated:
The updateMask should be used to specify the fields being updated.
HTTP request
PATCH https://apihub.googleapis.com/v1/{externalApi.name=projects/*/locations/*/externalApis/*}
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
externalApi.name |
Identifier. Format: |
Query parameters
| Parameters | |
|---|---|
updateMask |
Required. The list of fields to update. This is a comma-separated list of fully qualified names of fields. Example: |
Request body
The request body contains an instance of ExternalApi.
Response body
If successful, the response body contains an instance of ExternalApi.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/apihub.readwritehttps://www.googleapis.com/auth/cloud-platform
IAM Permissions
Requires the following IAM permission on the name resource:
apihub.externalApis.update
For more information, see the IAM documentation.